Package org.kapott.hbci.GV_Result

# Class GVRDauerList

java.lang.Object
org.kapott.hbci.GV_Result.HBCIJobResultImpl
org.kapott.hbci.GV_Result.GVRDauerList

All Implemented Interfaces:
  `Serializable`, `HBCIJobResult`

public final class GVRDauerList extends HBCIJobResultImpl
Ergebnisse der Abfrage von bestehenden Daueraufträgen. In diesem Objekt wird eine Liste von Dauerauftragsdaten gespeichert. Jedes dieser Dauerauftragsdaten-Objekte beschreibt dabei einen bestehenden Dauerauftrag.

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`GVRDauerList.Dauer`
Informationen zu einem einzelnen Dauerauftrag.

## Field Summary

### Fields inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`globStatus, jobStatus`

## Constructor Summary

Constructors
Constructor
Description
`GVRDauerList()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addEntry(GVRDauerList.Dauer entry)`
`GVRDauerList.Dauer[]`
`getEntries()`
Gibt ein Array mit Daten zu allen gefundenen Dauerauftragsdaten zurück
`String`
`toString()`

### Methods inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`getDialogId, getGlobStatus, getJobId, getJobStatus, getMsgNum, getParentJob, getPassport, getResultData, getRetNumber, getRetVal, getSegNum, isOK, setParentJob, storeResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GVRDauerList

public GVRDauerList()

## Method Details

### addEntry

public void addEntry(GVRDauerList.Dauer entry)

### getEntries

public GVRDauerList.Dauer[] getEntries()
Gibt ein Array mit Daten zu allen gefundenen Dauerauftragsdaten zurück

Returns:
  Array mit Dauerauftrags-Informationen

### toString

public String toString()

Overrides:
  `toString` in class `HBCIJobResultImpl`